Get instance types
-
GET
/stack/instance-types
Auth
Retrieves a list of all instance types.
application/octet-stream
<array> object[]
-
instance_type
enum
required
-
Instance type, the key for this resource
-
Values:
elasticsearch
kibana
apm
integrations_server
appsearch
enterprise_search
-
name
string
required
-
Instance type name
-
description
string
required
-
Instance type description
-
node_types
object[]
required
-
Supported node types
-
-
node_type
string
required
-
Node type, part of the key for this resource
-
name
string
required
-
Node type name
-
description
string
required
-
Node type description
-
default_instance_configuration_id
string
-
Id of the default instance configuration to use for this node type.
-
mandatory
boolean
-
Flag to specify a node type is mandatory in the corresponding cluster's plan
-
compatibility
object[]
required
-
Compatible versions
-
-
version
string
required
-
Compatible version, the key for this resource
-
node_types
object[]
required
-
Supported node types for the version
-
-
node_type
string
required
-
Type of this node
-
compatible_node_types
string[]
required
-
Compatible node types for the this node type
-
capacity_constraints
object
-
Specifies the maximum and minimum capacity constraints.
-
-
min
integer · format: int64
required
-
Min capacity
-
max
integer · format: int64
required
-
Max capacity
-
capacity_constraints
object
-
Specifies the maximum and minimum capacity constraints.
-
-
min
integer · format: int64
required
-
Min capacity
-
max
integer · format: int64
required
-
Max capacity
-
default_instance_configuration_id
string
-
Id of the default instance configuration to use for this instance type.
Thank you for your feedback.